<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');



//21-11-2024 COMPROBAMOS SI HAY GESTION DE LOTES
$gestionGeneralLotes=false;
foreach($_SESSION['comportamientosGlobales'] as $item) {
	if($item['Codigo']=='LT' && $item['Activo']=='S') $gestionGeneralLotes=true;
}




//17-01-2022
if($_GET['procedencia']=='traspaso') {
	$esTraspaso=true;
	$contenedorOrigen=$_GET['contenedorOrigen'];
	$contenedorDestino=$_GET['contenedorDestino'];
	
	//echo '<p>esTraspaso: '.$esTraspaso.'</p>';
	//echo '<p>contenedorOrigen: '.$contenedorOrigen.'</p>';
	//echo '<p>contenedorDestino: '.$contenedorDestino.'</p>';
}
else if($_GET['procedencia']=='ubicacion') {
	$esUbicacion=true;
	$contenedorOrigen=$_GET['contenedorOrigen'];
}

$gestion=$_SESSION['gestion'];
$busquedaProductoDefecto=$_SESSION['busquedaProductoDefecto'];

$clientePropietario=$_GET['clientePropietario'];
$productoPreCargado=$_GET['producto'];
$lotePreCargado=$_GET['lote'];

if( $productoPreCargado || $clientePropietario ) $esperarCarga=true;

$lecturaEspecial = ( isset( $codigosEspeciales[$clientePropietario] ) );

//////////
//$gestion='PRI';
//$busquedaProductoDefecto='E';
///////////

if($_GET['traza']=='si') {
	echo "<p>Gestión: ".$gestion."</p>";
	echo "<p>Busqueda producto por defecto: ".$busquedaProductoDefecto."</p>";
	echo '<p>Lectura codigos especiales: '.$lecturaEspecial.'</p>';
}



//01-02-2022 procedencia ENTRADA automatizacion
if($_GET['procedencia']=='entrada') {
	$esEntrada=true;
	$bloquearCliente=true;
	$clientePropietario=$_SESSION['entrada']['ClientePropietario'];
}

//01-02-2022 procedencia INVENTARIO automatizacion
if($_GET['procedencia']=='inventario') {
	$esInventario=true;
	$bloquearCliente=true;
	$clientePropietario=$_SESSION['inventarioSGA']['inventario']['Cliente'];
}

if($clientePropietario) $esperarCarga=true;

?>
<?php include($rutaPhp.$rutaHtml.'/librerias/teclado.php'); ?>

<h2>Buscar Producto</h2>

<div id="popupBusqueda" class="popup" style="display:none;overflow:scroll">
    <div class="popupContenidoScroll">
    	<div id="detalleBusqueda"></div>
	</div>
</div>

<div id="popupBusquedaCliente" class="popup" style="display:none;overflow:scroll">
    <div class="popupContenidoScroll">
    	<div id="detalleBusquedaCliente"></div>
	</div>
</div>

<?php if( $gestion=='PUBPRI' ) { ?>
<p><input name="productos" type="radio" class="checkGrande" id="productosPropios" style="position:relative;top:6px" value="propios" <?php if(!$clientePropietario) { ?>checked="checked"<?php } ?>/>
 Productos propios <input type="radio" name="productos" id="productosTerceros" value="terceros" class="checkGrande" style="position:relative;top:6px;margin-left:20px;" <?php if($clientePropietario) { ?>checked="checked"<?php } ?>/> Productos de terceros</p>
<?php } ?>

<form id="formularioCodigoCliente" name="formularioCodigoCliente" method="post" action="" <?php if( $gestion!='PUB' && !$clientePropietario ) { ?>style="display:none"<?php } ?>>
	<p>Cliente:<br />
    <?php if(!$bloquearCliente) { ?><img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoCliente" /><?php } ?>
    <input type="text" name="codigoCliente" id="codigoCliente" value="<?php echo $clientePropietario; ?>" class="campo <?php if($bloquearCliente) { ?>deshabilitado<?php } ?>" style="width:350px" autocomplete="off" <?php if($bloquearCliente) { ?>disabled<?php } ?>/>
    <?php if(!$bloquearCliente) { ?><img id="botonBuscarCliente" src="<?php echo DIR_IMAGENES; ?>/buscar.png" style="width:40px;margin-left:-40px;padding-top:10px;padding-left:50px;margin-bottom:-5px" class="clicable"/>
    <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarCliente" style="margin-left:-110px;"/>
    <?php } ?>
    </p>
	<h2 id="nombreCliente" style="display:none;font-weight:bold"></h2>
</form>
<form id="formularioBusquedaCliente" name="formularioBusquedaCliente" method="post" action="" style="display:none">
	<p>Buscar Cliente:<br />
    <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoBusquedaCliente" />
    <input name="busquedaCliente" type="text" class="campo mayusculas" id="busquedaCliente" size="20" maxlength="" style="width:350px" autocomplete="off"/>
	<img id="botonCodigoCliente" src="<?php echo DIR_IMAGENES; ?>/barcode.png" style="width:40px;margin-left:-40px;padding-top:10px;padding-left:50px;margin-bottom:-5px" class="clicable"/>
	<img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarBusquedaCliente" style="margin-left:-110px;"/>
    </p>
</form>

<form id="formularioEanDun" name="formularioEanDun" method="post" action="" <?php if( $gestion=='PUB' || ($gestion=='PUBPRI' && $busquedaProductoDefecto!='E') || ($gestion=='PRI' && $busquedaProductoDefecto!='E') || $productoPreCargado ) { ?>style="display:none"<?php } ?>>
	<p><span id="etiquetaEanDun">Código<?php if(!$lecturaEspecial) { ?> EAN/DUN<?php } ?>:</span><br />
	<img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoEanDun" />
    <input name="eanDun" type="text" class="campo mayusculas" id="eanDun" style="width:<?php if($lecturaEspecial) { ?>650px<?php } else { ?>350px<?php } ?>" autocomplete="off"/>
	<img id="botonBusquedaProducto" src="<?php echo DIR_IMAGENES; ?>/buscar.png" style="width:40px;margin-left:-40px;padding-top:10px;padding-left:50px;margin-bottom:-5px" class="botonBuscarProducto clicable"/>
	<img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarEanDun" style="margin-left:-110px;"/></p>      
</form>
    
<form id="formularioBusquedaProducto" name="formularioBusquedaProducto" method="post" action="" <?php if( $gestion=='PUB' || ($gestion=='PUBPRI' && $busquedaProductoDefecto!='B') || ($gestion=='PRI' && $busquedaProductoDefecto!='B') || $productoPreCargado ) { ?>style="display:none"<?php } ?>>
	<p>Buscar producto:<br />
	<img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoBusquedaProducto" />
    <input name="busquedaProducto" type="text" class="campo mayusculas" id="busquedaProducto" size="20" maxlength="" style="width:350px" autocomplete="off"/>
	<img id="botonEanDunProducto" src="<?php echo DIR_IMAGENES; ?>/barcode.png" style="width:40px;margin-left:-40px;padding-top:10px;padding-left:50px;margin-bottom:-5px" class="clicable"/>
	<img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarBusquedaProducto" style="margin-left:-110px;"/>
	</p>
</form>

<form id="formularioCodigoProducto" name="formularioCodigoProducto" method="post" action="" <?php if( $gestion!='PRI' ) { ?>style="display:none"<?php } ?>>
	
    <p>Producto:<br />
	<img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoCodigoProducto" /><input type="text" name="codigoProducto" id="codigoProducto" value="<?php echo $productoPreCargado; ?>" class="campo" style="width:350px" autocomplete="off"/>
    <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarCodigoProducto" style="margin-left:-55px;"/></p>
    
    <?php if($gestionGeneralLotes) { ?>
    
    <p>Lote:<br />
    <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoLote" /><input type="text" name="lote" id="lote" value="<?php echo $lotePreCargado; ?>" class="campo" style="width:350px" autocomplete="off"/>
    <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarLote" style="margin-left:-55px;"/></p>

	<?php } ?>
    
</form>



<?php if($esTraspaso || $esUbicacion || $esEntrada || $esInventario) { ?>
<p><input name="botonVolver" id="botonVolver" type="button" class="boton reducido" value="Volver a la pantalla <?php if($esTraspaso) { ?>Traspaso<?php } else if($esUbicacion) { ?>Ubicación<?php } else if($esEntrada) { ?>Entrada de mercancía<?php } else if($esInventario) { ?>Inventario<?php } ?>"/><p>
<?php } ?>

<div id="listaUbicaciones">
</div>

<script>


function carga(producto,Descripcion,EmbalajePrimarioCaja,TieneGestionFCaducidad,TieneGestionLotes,TieneGestionNSerie,PosicionPicking,TieneGestionPrecinta,Decimales,UMint) {

	if(producto) {
	
		$('#popupCargando').show();
	
		<?php if($esEntrada) { ?>
		
		window.location='entrada-mercancia-gs1.php?automatizarProducto='+producto;
		
		<?php } else if($esInventario) { ?>
		
		window.location='inventario-sga.php?automatizarProducto='+producto+'&Descripcion='+Descripcion+'&TieneGestionFCaducidad='+TieneGestionFCaducidad+'&TieneGestionLotes='+TieneGestionLotes+'&TieneGestionNSerie='+TieneGestionNSerie+'&TieneGestionPrecinta='+TieneGestionPrecinta+'&EmbalajePrimarioCaja='+EmbalajePrimarioCaja+'&Decimales='+Decimales+'&UMint='+UMint;
		
		<?php } else { ?>
	
		$("#formularioCodigoProducto").show();
		$("#codigoProducto").val(producto);
	
		if($('#productosPropios').is(':checked')) clientePropietario='PROPIO';
		else clientePropietario=$('#codigoCliente').val();
		
		console.log('/contenidos/cargar-ubicaciones-producto-S.php');
		console.log('producto: '+$('#codigoProducto').val());
		console.log('lote: '+$('#lote').val());
		console.log('clientePropietario: '+clientePropietario);
			
		
		//$.post( '<?php echo $rutaHtml; ?>/contenidos/cargar-ubicaciones-producto-S.php?producto='+$('#codigoProducto').val()+'&lote='+$('#lote').val()+'&clientePropietario='+clientePropietario+'&traza=<?php echo $_GET['traza']; ?>', { })
		//$.post('contenidos/cargar-ubicaciones-producto-S2.php?producto=16.9999.1&lote=&clientePropietario=9999&traza=')
		$.post( "<?php echo $rutaHtml; ?>/contenidos/cargar-ubicaciones-producto-S.php?traza=<?php echo $_GET['traza']; ?>", { producto : $('#codigoProducto').val() , 'lote' : $('#lote').val(), 'clientePropietario' : clientePropietario })
		.done(function(data) {
		
			
			
			<?php if($esTraspaso || $esUbicacion) { ?>
			data+='<p><input name="botonVolver" id="botonVolver" type="button" class="boton reducido" value="Volver a la pantalla de <?php if($esTraspaso) { ?>Traspaso<?php } else if($esUbicacion) { ?>Ubicación<?php } else if($esEntrada) { ?>Entrada de mercancía<?php } ?>"/><p>';
			<?php } ?>
			
			$('#listaUbicaciones').html(data);
			
			$('#popupCargando').hide();
		});
		
		<?php } ?>
		
	}

}

function reinicia(todoIncluidoCliente) {
	
		//Reiniciar todos los campos de la ficha
		
		<?php if( $gestion=='PUB' || $gestion=='PUBPRI' ) { ?>
		if(todoIncluidoCliente) {
			$('#codigoCliente').val('');
			$('#busquedaCliente').val('');
			$('#nombreCliente').html('');
			$('#nombreCliente').hide();
			
			$('#formularioEanDun').hide();
			$('#formularioBusquedaProducto').hide();
			$('#formularioCodigoProducto').hide();
			
			$('#lote').val('');
			
			$('#codigoCliente').focus();
		}
		<?php } ?>
		
		$('#eanDun').val('');
		$('#codigoProducto').val('');
		$('#busquedaProducto').val('');
		
		$('#lote').val('');
		
		$("#listaUbicaciones").empty();
		
	}

$(document).ready(function() {

	<?php if($clientePropietario) { ?>
	
		$('#popupCargando').show();
		
		$.post( "<?php echo $rutaHtml; ?>/contenidos/cargar-cliente-propietario.php", { 'codigo' : '<?php echo $clientePropietario; ?>' } )
			.done(function(data) {
			
				var datos=data.split('#');
				
				$('#nombreCliente').html( datos[1] );
				$('#nombreCliente').show();
				
				<?php if($busquedaProductoDefecto=='E' && !$productoPreCargado) { ?>
					$('#formularioEanDun').show();
					$('#eanDun').focus();
				<?php } else if(!$productoPreCargado) { ?>
					$('#formularioBusquedaProducto').show();
					$('#busquedaProducto').focus();
				<?php } ?>
				
				if(datos[2]==1) { //Cliente con codigos lectura especial
					$('#etiquetaEanDun').html('Código:');
					$('#eanDun').css('width','650px');
				}
				else {
					$('#etiquetaEanDun').html('Código EAN/DUN:');
					$('#eanDun').css('width','350px');
				}
				
				$('#formularioCodigoProducto').show();
				
				<?php if(!$productoPreCargado) { ?>
				$('#popupCargando').hide();
				<?php } ?>
			});
	<?php } ?>
	
	
	<?php if( $gestion=='PUBPRI' ) { ?>
	
	$('#productosPropios').on("click",function(){
		
		reinicia(true);
		$('#formularioCodigoCliente').hide();
		<?php if($busquedaProductoDefecto=='E') { ?>
				$('#formularioEanDun').show();
				$('#formularioBusquedaProducto').hide();
				$('#eanDun').focus();
		<?php } else { ?>
				$('#formularioEanDun').hide();
				$('#formularioBusquedaProducto').show();
				$('#busquedaProducto').focus();
		<?php } ?>
	});
	
	$('#productosTerceros').on("click",function(){
	
		reinicia(true);
		
		$('#formularioEanDun').hide();
		$('#formularioBusquedaProducto').hide();
		
		$('#formularioCodigoCliente').show();
		$('#codigoCliente').focus();
		
	});
	
	<?php } ?>
	
	
	
	<?php if( $gestion=='PUB' || $gestion=='PUBPRI' ) { ?>
	
	$('#botonBuscarCliente').on("click",function(){
		reinicia(true);
		$('#formularioCodigoCliente').hide();
		$('#formularioBusquedaCliente').show();
		$('#busquedaCliente').focus();
		$('#tecladoBusquedaCliente').click();			
	});
	
	$('#botonCodigoCliente').on("click",function(){
		reinicia(true);	
		$('#formularioCodigoCliente').show();
		$('#formularioBusquedaCliente').hide();
		$('#cliente').focus();			
	});
	
	$('#tecladoCliente').on("click",function(){
		$('#teclado').show();
		$('#valor').val( $('#codigoCliente').val() );
		$('#valorOculto').val( $('#codigoCliente').val() );
		$('#enter').attr('campoValor','codigoCliente');
		$('#enter').attr('formulario','formularioCodigoCliente');
	});
	
	$('#borrarCliente').on("click",function(){
		reinicia(true);
		$("#cliente").val('');
		$("#cliente").focus();
	});
	
	$('#formularioCodigoCliente').on("submit",function(e){
		//alert('codigo cliente: '+$('#codigoCliente').val());
		e.preventDefault();
		
		reinicia();
		
		if( $('#codigoCliente').val()!='' ) {
				
			$('#popupCargando').show();
			
			$.post( "<?php echo $rutaHtml; ?>/contenidos/cargar-cliente-propietario.php?traza=<?php echo $_GET['traza']; ?>", { 'codigo' : $('#codigoCliente').val() } )
			.done(function(data) {
			
				$('#popupCargando').hide();
				
				var datos=data.split('#');
				
				if(datos[0]=='Error') {
				
					alert(datos[1],$('#codigoCliente'),'error');
				}
				else {
				
					$('#nombreCliente').html( datos[1] );
					$('#nombreCliente').show();
					
					<?php if($busquedaProductoDefecto=='E') { ?>
						$('#formularioEanDun').show();
						$('#eanDun').focus();
					<?php } else { ?>
						$('#formularioBusquedaProducto').show();
						$('#busquedaProducto').focus();
					<?php } ?>
					
					if(datos[2]==1) { //Cliente con codigos lectura especial
						$('#etiquetaEanDun').html('Código:');
						$('#eanDun').css('width','650px');
					}
					else {
						$('#etiquetaEanDun').html('Código EAN/DUN:');
						$('#eanDun').css('width','350px');
					}
					
					$('#formularioCodigoProducto').show();
				
				}
				
			});
				
		}
					
	});
	
	$('#tecladoBusquedaCliente').on("click",function(){
		
		$('#teclado').show();
		$('#valor').val( $('#busquedaCliente').val() );
		$('#valorOculto').val( $('#busquedaCliente').val() );
		$('#enter').attr('campoValor','busquedaCliente');
		$('#enter').attr('formulario','formularioBusquedaCliente');
		
	});
	
	$('#busquedaCliente').on("click",function(){
		
		$('#teclado').show();
		$('#valor').val( $('#busquedaCliente').val() );
		$('#valorOculto').val( $('#busquedaCliente').val() );
		$('#enter').attr('campoValor','busquedaCliente');
		$('#enter').attr('formulario','formularioBusquedaCliente');
			
	});
	
	$('#borrarBusquedaCliente').on("click",function(){
		
		$("#busquedaCliente").val('');
		$("#busquedaCliente").focus();
		
	});
	
	$('#formularioBusquedaCliente').on("submit",function(e){
				
		e.preventDefault();
		reinicia();
		
		if( $('#busquedaCliente').val()!='' ) {
				
			$('#popupCargando').show();
						
			$.post( "<?php echo $rutaHtml; ?>/contenidos/inventario-buscar-cliente.php?traza=<?php echo $_GET['traza']; ?>", { 'cadena' : $('#busquedaCliente').val() , 'busquedaProductoDefecto' : '<?php echo $busquedaProductoDefecto; ?>' })
			.done(function(data) {
				
				$('#popupCargando').hide();
				$('#popupBusquedaCliente').show();
				$('#detalleBusquedaCliente').html(data);
				
			});
				
		}
					
	});
	
	<?php } ?>
	
	
	////////////// EANDUN ////////////////////
	
	$('#formularioEanDun').on("submit",function(e){

		e.preventDefault();
			
		if( $('#eanDun').val()!='' ) {
				
			$('#popupCargando').show();
					
			$.post( "<?php echo $rutaHtml; ?>/contenidos/leer-codigo-barras.php?traza=<?php echo $_GET['traza']; ?>", { 'codigo' : $('#eanDun').val() , 'clientePropietario' : $('#codigoCliente').val() , 'procedencia' : 'info-producto-S' } )
			.done(function(data) {
					
				var datos=data.split('#');
							
				if( datos[0] ) {
				
					if( datos[0].substr(0,12)=='@@MULTIPLE@@' ) {
					
						//////// LLAMADA AL MISMO METODO QUE HACE LA BUSQUEDA, PERO PASANDO LOS PARAMETROS COMO CADENA DE RESULTADOS DE LA LLAMADA DE ANTES
					
						$.post( "<?php echo $rutaHtml; ?>/contenidos/inventario-buscar-producto.php?traza=<?php echo $_GET['traza']; ?>", { 'resultadoPreviamenteObtenido' : data , 'eanDun' : $('#eanDun').val() })
						.done(function(data) {
								
							$('#popupCargando').hide();
							$('#popupBusqueda').show();
							$('#detalleBusqueda').html(data);
								
						});
					
						//$('#popupCargando').hide();
						//alert(datos);
					
					}
					else {
						
						$('#formularioCodigoProducto').show();
						$('#codigoProducto').val(datos[0]);
						$("#formularioCodigoProducto").submit();
						
					}
				}
				else {
					alert("ERROR: No se ha encontrado ningún producto relacionado con ese código.",$('#codigo'),'error');
					$('#codigoProducto').val('');
					$('#popupCargando').hide();
				}
					
			});
				
		}
					
	});
	
	$('#tecladoEanDun').on("click",function(){
		
		$('#teclado').show();
		$('#valor').val( $('#eanDun').val() );
		$('#valorOculto').val( $('#eanDun').val() );
		$('#enter').attr('campoValor','eanDun');
		$('#enter').attr('formulario','formularioEanDun');
		
	});
	
	$('#borrarEanDun').on("click",function(){
		
		$("#eanDun").val('');
		reinicia();
		$("#eanDun").focus();
		
	});
	
	$('#botonBusquedaProducto').on("click",function(){
			
		reinicia();
		
		$('#formularioEanDun').hide();
		
		$('#formularioBusquedaProducto').show();
		$('#busquedaProducto').focus();
		$('#tecladoBusquedaProducto').click();
					
	});
	
	
	//////////// BUSQUEDA PRODUCTO //////////////
	
	$('#formularioBusquedaProducto').on("submit",function(e){
				
		e.preventDefault();
		
		if( $('#busqueda').val()!='' ) {
				
			$('#popupCargando').show();
			
			var clientePropietario;
			
			if($('#productosPropios').is(':checked')) clientePropietario='PROPIO';
			else clientePropietario=$('#codigoCliente').val();
						
			$.post( "<?php echo $rutaHtml; ?>/contenidos/inventario-buscar-producto.php?traza=<?php echo $_GET['traza']; ?>", { 'cadena' : $('#busquedaProducto').val() , 'clientePropietario' : clientePropietario })
			.done(function(data) {
				
				$('#popupCargando').hide();
				$('#popupBusqueda').show();
				$('#detalleBusqueda').html(data);
				
			});
				
		}
					
	});
	
	$('#tecladoBusquedaProducto').on("click",function(){
		
		$('#teclado').show();
		$('#valor').val( $('#busquedaProducto').val() );
		$('#valorOculto').val( $('#busquedaProducto').val() );
		$('#enter').attr('campoValor','busquedaProducto');
		$('#enter').attr('formulario','formularioBusquedaProducto');
		
	});
	
	$('#busquedaProducto').on("click",function(){
		
		$('#teclado').show();
		$('#valor').val( $('#busquedaProducto').val() );
		$('#valorOculto').val( $('#busquedaProducto').val() );
		$('#enter').attr('campoValor','busquedaProducto');
		$('#enter').attr('formulario','tecladoBusquedaProducto');
		
	});
	
	$('#borrarBusquedaProducto').on("click",function(){
				
		$("#busquedaProducto").val('');
		$("#busquedaProducto").focus();
		reinicia();
					
	});
	
	$('#botonEanDunProducto').on("click",function(){
			
		reinicia();	
		$('#formularioEanDun').show();
		$('#eanDun').focus();
		$('#formularioBusquedaProducto').hide();
					
	});
	
	
	
	
	
	//////////////////// CODIGO PRODUCTO

	$('#formularioCodigoProducto').on("submit",function(e){
		e.preventDefault();
		carga( $("#codigoProducto").val() );
	});
	
	$('#borrarCodigoProducto').on("click",function(){
		
		$("#codigoProducto").val('');
		reinicia();
		$("#codigoProducto").focus();
		
	});
	
	$('#tecladoCodigoProducto').on("click",function(){
		
		$('#teclado').show();
		$('#valor').val( $('#codigoProducto').val() );
		$('#valorOculto').val( $('#codigoProducto').val() );
		$('#enter').attr('campoValor','codigoProducto');
		$('#enter').attr('formulario','formularioCodigoProducto');
		
	});
	
	$('#codigoProducto').on("click",function(){
		
		$('#teclado').show();
		$('#valor').val( $('#codigoProducto').val() );
		$('#valorOculto').val( $('#codigoProducto').val() );
		$('#enter').attr('campoValor','codigoProducto');
		$('#enter').attr('formulario','formularioCodigoProducto');
			
	});
	
	
	
	//////// LOTE
	
	$('#borrarLote').on("click",function(e){
		
		$("#lote").val('');
		carga( $("#codigoProducto").val() );
		
	});
	
	$('#tecladoLote').on("click",function(){
		
		$('#teclado').show();
		$('#valor').val( $('#lote').val() );
		$('#valorOculto').val( $('#lote').val() );
		$('#enter').attr('campoValor','lote');
		$('#enter').attr('formulario','formularioCodigoProducto');
		
	});
	
	$('#lote').on('change',function(e){
		e.preventDefault();
		carga( $("#codigoProducto").val() );
	});

	
	
	$('#popupBusqueda').on("click",function(){
		$('#popupBusqueda').hide();
	});
	
	if($("#codigoProducto").val()!='') {
		carga( $("#codigoProducto").val() );
	}



	//Focos iniciales
	<?php if($gestion=='PRI' || $gestion=='PUBPRI') { ?>
		<?php if($busquedaProductoDefecto=='E') { ?>
		$('#eanDun').focus();
		<?php } else { ?>
		$('#busquedaProducto').focus();
		<?php } ?>
	<?php } else { ?>
		$('#codigoCliente').focus();
	<?php } ?>
	
	//17-01-2021
	<?php if($esTraspaso || $esUbicacion || $esEntrada || $esInventario) { ?>
	
	$(document).on('click','#botonVolver',function(){
	
		$('#popupCargando').show();
		
		<?php if($esTraspaso) { ?>
		window.location='traspasar-productos.php?contenedorOrigen=<?php echo $contenedorOrigen; ?>&contenedorDestino=<?php echo $contenedorDestino; ?>';
		<?php } ?>
		
		<?php if($esUbicacion) { ?>
		window.location='ubicar-contenedor.php?contenedor=<?php echo $contenedorOrigen; ?>';
		<?php } ?>
		
		<?php if($esEntrada) { ?>
		window.location='entrada-mercancia-gs1.php';
		<?php } ?>
		
		<?php if($esInventario) { ?>
		window.location='inventario-sga.php';
		<?php } ?>
		
	});
	
	<?php } ?>

});

</script>

<?php
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
